KDK_FREE_DISKLIST(3)

NAME
kdk_get_disklist - 释放由kdk_get_disklist返回的磁盘列表

SYNOPSIS
#include <libkydiskinfo.h>

extern void kdk_free_disklist(char** disklist);

Link with -lkydiskinfo.

Detailed Description
The main function of the interface is to recycle a list of strings of type char **;

The argument ptr is a list of strings of type char **.

RETURN VALUE
No return value

EXAMPLES
    #include "libkydiskinfo.h"
    #include <stdio.h>
    int main()
    {
        char **disklist = kdk_get_disklist();
        for (int i = 0; disklist[i]; i ++)
        {
            printf("%s, disklist[i]);
        }
        kdk_free_disklist(disklist);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_get_diskinfo(), kdk_get_hard_disk(), and kdk_get_hard_disk_size().

SEE ALSO
kdk_get_disklist(3), kdk_get_diskinfo(3), kdk_free_diskinfo(3)